<!DOCTYPE html>
<html>
 <head>
   <meta charset="utf-8" />
   <title>Lesson 1. Task 2 </title>
</head>
<body>
  <div class="wrap" id="app">

    <header>
      <button>RED</button>
      <button>BLUE</button>
      <button>GREEN</button>
    </header>

    <h2 id="user">Users:</h2>
    <div class="container">
      <ul id="list">
        <li id="JackLi">Jack</li>
        <li class="show test">Marlyn</li>
        <li name="Dexter" id="test" class="show test">Dexter</li>
      </ul>
    </div>
    <input id="TestAttribute"/>
    <div id="createArea" name="block"></div>

  </div>

  <script>
    /*
      Задание:

        1. Выбрать как элемент блок с id - test;
        2. Выбрать по css селектору все button
        3. Выбрать родительский элемент .wrap используя точку отсчета блок с с id = createArea.
        4. Выбрать все элементы li по тегу
        5. Выбрать все элементы по классу 'test'
    */


  //   Найти ближайшего родителя, метод closest
  //   element.closest(css) -> находит ближйший элемент вверх по иерархии DOM который удовлетвореят css
  

  // var ClosestItems = document.getElementById('JackLi');
  // console.log( 'closest', ClosestItems.closest('.container'));

  // /*

      var test = document.getElementById('test');
      console.log(test);

      var button = document.querySelectorAll('button');
      console.log(button);

      var parent = document.getElementById('createArea');
      console.log(parent.closest('.wrap'));


      var tag = document.getElementsByTagName('li');
      console.log(tag);

      var clas = document.getElementsByClassName('test');
      console.log(clas);

  </script>
</body>
</html>
